Bug 571874 - KMS:RV630:HD2600 vga-out wavey unstable picture (regression)
Summary: KMS:RV630:HD2600 vga-out wavey unstable picture (regression)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_R600/mM
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-09 18:54 UTC by Leif Gruenwoldt
Modified: 2018-04-11 14:36 UTC (History)
6 users (show)

Fixed In Version: kernel-2.6.33.2-57.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-25 13:55:52 UTC
Type: ---


Attachments (Terms of Use)
Photo of my VGA monitor with unstable image (580.05 KB, image/jpeg)
2010-03-09 18:54 UTC, Leif Gruenwoldt
no flags Details
xorg.0.log (413.76 KB, text/plain)
2010-03-09 18:56 UTC, Leif Gruenwoldt
no flags Details
dmesg from fedora 12 with latest updates (50.62 KB, text/plain)
2010-03-11 18:18 UTC, Leif Gruenwoldt
no flags Details
dmesg from F13 latest nightly (56.37 KB, text/plain)
2010-03-11 20:06 UTC, Leif Gruenwoldt
no flags Details
dmesg fromHP Compac nc6400 Radeon X1300 (41.00 KB, text/plain)
2010-03-23 07:22 UTC, craigjl77
no flags Details
Xorg.0 from HP compac nc6400 Radeon x1300 (179.61 KB, text/plain)
2010-03-23 07:30 UTC, craigjl77
no flags Details
quick hack to disable spread spectrum (676 bytes, patch)
2010-04-20 07:25 UTC, Michal Schmidt
no flags Details | Diff

Description Leif Gruenwoldt 2010-03-09 18:54:55 UTC
Created attachment 398887 [details]
Photo of my VGA monitor with unstable image

Description of problem:

I just did the F12 yum updates and rebooted. On reboot my external VGA monitor is all wavey. See attachment for photo.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.7.5.901-1.fc12.x86_64
mesa-dri-drivers-experimental-7.7-4.fc12.x86_64
kernel-2.6.32.9-67.fc12.x86_64
xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12.x86_64


How reproducible:

Every time.


Steps to Reproduce:

1. System->Preferences->Display
2. Enable VGA monitor

  
Actual results:

VGA monitor image is all wavey.


Additional Info:

This is a regression and worked fine before the yum updates. I was running xorg-x11-drv-ati-6.13.0-0.20.20091221git4b05c47ac.fc12.x86_64

Comment 1 Leif Gruenwoldt 2010-03-09 18:56:34 UTC
Created attachment 398888 [details]
xorg.0.log

Comment 2 Leif Gruenwoldt 2010-03-11 17:24:22 UTC
I just tried with Fedora 13 alpha and it too has the same problem.

kernel-2.6.33-0.52.rc8.git6.fc13.x86_64
xorg-x11-drv-ati-6.13.0-0.22.20100208git4f9d1714a.fc13.x86_64

Comment 3 Matěj Cepl 2010-03-11 17:49:08 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach output of the dmesg command, system log (/var/log/messages) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Leif Gruenwoldt 2010-03-11 18:18:07 UTC
Created attachment 399412 [details]
dmesg from fedora 12 with latest updates

Comment 5 Leif Gruenwoldt 2010-03-11 20:06:38 UTC
Created attachment 399435 [details]
dmesg from F13 latest nightly

Fedora 13 running lastest nightly compose, desktop-x86_64-20100310.20.iso. Plus I did a yum update on the xorg-x11-drv-ati. So I'm running:

kernel-2.6.33-1.fc13.x86_64
xorg-x11-drv-ati-6.13.0-0.23.20100219gite68d3a389.fc13.x86_64

Comment 6 craigjl77 2010-03-23 07:19:07 UTC
I have exactly the same problem. After latest yum update vga-0 lcd monitor displays wavy distortions. The distortions are more pronounced as the screen resolutions decrease.

Comment 7 craigjl77 2010-03-23 07:22:46 UTC
Created attachment 401949 [details]
dmesg fromHP Compac nc6400 Radeon X1300

Attached dmesg

Comment 8 craigjl77 2010-03-23 07:30:38 UTC
Created attachment 401951 [details]
Xorg.0 from HP compac nc6400 Radeon x1300

Comment 9 craigjl77 2010-03-23 07:54:01 UTC
Using :-

xorg-x11-server-Xorg-1.7.5.902-1.fc12.i686
mesa-dri-drivers-7.7-4.fc12.i686
xorg-x11-drv-ati-firmware-6.13.0-0.21.20100219gite68d3a389.fc12.i686
xorg-x11-drv-ati-6.13.0-0.21.20100219gite68d3a389.fc12.i686
kernel-2.6.32.9-70.fc12.i686

Comment 10 Douglas Whitfield 2010-04-02 20:44:57 UTC
I have this too on the Compaq nc6400.  For what it's worth, this bug is also in Ubuntu Lucid: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/539350

This bug also applies to the HP nx9420

2.6.34-0.19.rc2.git4.fc14.x86_64 here.

Also, what's the deal with the fc14/fc13 stuff...some packages seem go one way and others the other...

Comment 11 craigjl77 2010-04-12 02:27:03 UTC
Note the problem goes away when you use this, 2.6.31.12-174.2.22.fc12.i686, Kernel.

Comment 12 Michal Schmidt 2010-04-15 10:21:27 UTC
I saw the same problem during the Radeon Test Day on my laptop with RS690M.

I bisected it to:
ebbe1cb936dfc96d809ccf4d64a9755f8ba0c0ff
drm/radeon/kms/atom: add support for spread spectrum (v2)

This commit itself was not testable, so I had to apply this patch too:
d11aa88b33b071d55181a7a482b9e7494888c10e
drm/radeon/kms/atom: fix potential oops in spread spectrum code


Then I found the bug is already fixed in 2.6.34-rc4 by commit:
267364ac17f6474c69b03034340f769b22f46105
drm/radeon/kms: further spread spectrum fixes

Comment 13 craigjl77 2010-04-15 10:33:37 UTC
So, when does 2.6.34 get released to the consumers?

Comment 14 Matěj Cepl 2010-04-15 13:40:41 UTC
(In reply to comment #13)
> So, when does 2.6.34 get released to the consumers?    

Not in Fedora 13.

Comment 15 Leif Gruenwoldt 2010-04-15 14:51:42 UTC
(In reply to comment #14)
> Not in Fedora 13.    

Any chance of this being backported to a F13 kernel?

Comment 16 Michal Schmidt 2010-04-20 07:25:21 UTC
Created attachment 407745 [details]
quick hack to disable spread spectrum

For now I'm using the attached simple patch which just disables spread spectrum. Here's a scratch kernel build (F-13, x86_64):
http://kojipkgs.fedoraproject.org/scratch/michich/task_2127062/

Comment 17 Michal Schmidt 2010-04-20 10:37:25 UTC
Dave Airlie backported the proper fix to F-13.
drm-radeon-ss-fix.patch is now in kernel-2.6.33.2-57.fc13:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2127556

I have tested the x86_64 build on my RS690M and it works fine.

Comment 18 Fedora Update System 2010-04-20 14:05:29 UTC
kernel-2.6.33.2-57.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.33.2-57.fc13

Comment 19 Fedora Update System 2010-04-21 02:18:46 UTC
kernel-2.6.33.2-57.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.33.2-57.fc13

Comment 20 Fedora Update System 2010-04-25 13:54:39 UTC
kernel-2.6.33.2-57.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Guillermo Perez 2010-05-23 13:41:26 UTC
Sorry to bring the thread back to life but, is there a fix for this bug in FC12 or is the fix only available for FC13?


Note You need to log in before you can comment on or make changes to this bug.